config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/afick.conf.new
chmod 600 etc/afick.conf
( cd usr/bin ; rm -rf afickonfig )
( cd usr/bin ; ln -sf afickonfig.pl afickonfig )
( cd usr/bin ; rm -rf afick_archive )
( cd usr/bin ; ln -sf afick_archive.pl afick_archive )
( cd usr/bin ; rm -rf afick-tk )
( cd usr/bin ; ln -sf afick-tk.pl afick-tk )
( cd usr/bin ; rm -rf afick )
( cd usr/bin ; ln -sf afick.pl afick )
